# ModularShipSystem

## Things to finish everything up

- [ ] Documentation
- [X] Clean up Blueprint Interfaces and functions and comment nodes
- [X] Create UI to display player ship stats
- [X] ~~Implement power draw statistic?~~ Can show this in docs as an example of extending functionality

## Systems to implement

- [X] Basic spaceship pawn
- [X] Docking using sockets
- [X] Toggles for docking UI and player control over the pawn
- [X] Data driven shop UI
- [X] Purchase and equip from shop UI

### Base Ship Info

- [X] Number of hardpoints
- [X] Hull information
- [X] Number of modules
- [X] Supported Classes of modules
- [X] Available upgrade slots

### Hardpoints

- [X] Various types of weaponry i.e. kinetic, energy, combo, and emp weapons
- [X] Damage output of hardpoints

### Scanner

- [X] Range and info available from a scan

### Modules

- [X] Various Module types i.e. Shields, Engines, ~~Jump Drive~~, Cargo Bays, ~~Stealth tech~~, and ~~power delivery~~

### Module upgrades

- [X] Various types of upgrades i.e. hull reinforcements, ~~shield reinforcements~~, engine upgrades, and weapons.

- [X] Move UI handling for space station to a HUD class using the interfaces to toggle everything
- [X] docking should change pawn rotation as well
